mochitest-plain: test_videocontrols_video_direction.html fails intermittently (possibly test_videocontrols_audio_direction.html too)

RESOLVED FIXED in mozilla1.9.3a1

Status

()

defect
RESOLVED FIXED
10 years ago
7 years ago

People

(Reporter: dholbert, Assigned: Ehsan)

Tracking

({intermittent-failure})

Trunk
mozilla1.9.3a1
x86
All
Points:
---
Dependency tree / graph
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(status1.9.2 beta3-fixed, status1.9.1 ?)

Details

()

Attachments

(5 attachments)

Reporter

Description

10 years ago
The mochitest "test_videocontrols_video_direction.html" sporadically failed this morning, on the subtest for "videocontrols_direction-1c.html".

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.5/1246423076.1246428653.14970.gz
> 85262 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_videocontrols_video_direction.html | Rendering of reftest videocontrols_direction-1c.html should not be different to the reference

The cycles immediately before & after didn't experience this failure, and they were built from the same changeset. (no new changesets have landed for 2 days, in fact)  Hence, sporadic.
Reporter

Updated

10 years ago
Whiteboard: [orange]
SeaMonkey examples:

Legacy SM box:
{
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1246606299.1246612168.6280.gz
OS X 10.4 comm-central unit test on 2009/07/03 00:31:39

84759 ERROR TEST-UNEXPECTED-FAIL | ... | Rendering of reftest videocontrols_direction-1c.html should not be different to the reference
}

New ("unstable") SM box:
{
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1246609348.1246617082.26531.gz
OS X 10.5 comm-1.9.1 unit test on 2009/07/03 01:22:28

84727 ERROR TEST-UNEXPECTED-FAIL | ... | Rendering of reftest videocontrols_direction-2a.html should not be different to the reference
}
Flags: wanted1.9.1.x?
Summary: test_videocontrols_video_direction.html sporadically fails (in videocontrols_direction-1c.html) → mochitest-plain: test_videocontrols_video_direction.html fails intermittently
Version: Trunk → 1.9.1 Branch
Really needs an owner if we're going to consider it wanted... If you get a patch, please nominate it for approval.
Flags: wanted1.9.1.x?
Assignee

Comment 4

10 years ago
The existing logs do not provide any clue on why this is happening.  I landed <http://hg.mozilla.org/mozilla-central/rev/fde65e01e9f6> so that the future logs actually would contain the failed snapshots so that I can use them to get started on further investigation.
Assignee: nobody → ehsan.akhgari
Status: NEW → ASSIGNED
Whiteboard: [orange] → [orange][debugging aid landed, waiting for further logs]
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey2.0/1250257814.1250266546.4869.gz&fulltext=1
WINNT 5.2 comm-1.9.1 unit test on 2009/08/14 06:50:14
{
test_videocontrols_video_direction.html | Rendering of reftest videocontrols_direction-1a.html should not be different to the reference
}


(In reply to comment #4)
> <http://hg.mozilla.org/mozilla-central/rev/fde65e01e9f6> so that the future

Oh! That additional log is needed on m-1.9.1, not m-c...
Assignee

Comment 6

10 years ago
(In reply to comment #5)
> Oh! That additional log is needed on m-1.9.1, not m-c...

Landed on 1.9.1 as well:

<http://hg.mozilla.org/releases/mozilla-1.9.1/rev/c00daf04d2a8>
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey2.0/1250581721.1250590284.30391.gz
OS X 10.5 comm-1.9.1 unit test on 2009/08/18 00:48:41
{
Running  test_videocontrols_audio_direction.html...
... | Rendering of reftest videocontrols_direction-2a.html should not be different to the reference
}

This box is unreliable, but I'm commenting about it (once) as it's the first time I see the canvas logs (which I'm not copying here).

Iiuc, this occurrence could have the same cause as bug 493647.
Let's wait and confirm this with a reliable box...
Summary: mochitest-plain: test_videocontrols_video_direction.html fails intermittently → mochitest-plain: test_videocontrols_video_direction.html fails intermittently (possibly test_videocontrols_audio_direction.html too)
Assignee

Comment 8

10 years ago
Posted file Canvas snapshots
Here is a file which contains the canvas screenshots from the failed test.

The reason for the failure seems to be obvious, the test audio element has fired the load event before it's actually fully loaded, so the load progressbar is not completely filled, hence the picture comparison with the ref audio element fails.

Justin, aren't pages containing audio/video elements supposed to fire load events after the corresponding audio/video gets loaded completely?

Comment 9

10 years ago
No, the load event gets fired after the video metadata is loaded, not when the entire file is loaded.
Assignee

Comment 10

10 years ago
(In reply to comment #9)
> No, the load event gets fired after the video metadata is loaded, not when the
> entire file is loaded.

Hmm, so we must have been lucky that this test passes most of the time.  Is there any way to delay the firing of the load event until the entire audio/video is loaded?

Comment 11

10 years ago
Sorry, I misunderstood. The 'load' progress event fired on the media element is fired when the entire resource is loaded. You are correct in comment 8.
Assignee

Comment 12

10 years ago
So, is it possible that the UI progress meter lags behind the actual media progress status?  If not, I don't see why the progress meter in screenshot 1 should not be 100% filled.

Comment 13

10 years ago
Justin would know better in that regard. I'm not sure how the progress meter is implemented.
Hmmmm. So, a couple possibilities come to mind.

1) One of the iframe loads might be coming from the initial about:blank load? This has bitten other tests, but since you're setting .src before inserting it into the document I'm not sure that can happen.

2) The progress bar is driven by the video firing "progress" events. Maybe we sometimes don't get a final progress event when the load is completed? I thought at one point we listened for the "load" event and set the progress bar to max, but it doesn't look like we do that now.

It might be enlightening to temporarily flip Utils.debug in videocontrols.xml, and see what it reports when the test fails. [Though you might also need to alter the test serialize the 2 video loads, so the output isn't mixed together.] Or maybe just add a dump() to see what progress events are being received.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1251764779.1251766764.14634.gz
WINNT 5.2 mozilla-central test mochitests on 2009/08/31 17:26:19

"Same" as comment 8, except the images 1 and 2 are swapped.
OS: Mac OS X → All
Version: 1.9.1 Branch → Trunk
Reporter

Comment 19

10 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1254800633.1254803168.20395.gz
Linux mozilla-central test mochitests on 2009/10/05 20:43:53
Reporter

Comment 21

10 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256159506.1256161365.27898.gz
OS X 10.5.2 mozilla-central test opt mochitests on 2009/10/21 14:11:46
Failure is in test_videocontrols_audio_direction.html (it matches comment 7)
Reporter

Comment 22

10 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6-Unittest/1256161840.1256164687.32128.gz
OS X 10.5.2 mozilla-1.9.2 test mochitests on 2009/10/21 14:50:40
Reporter

Comment 23

10 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256176972.1256178890.26960.gz
OS X 10.5.2 mozilla-central test opt mochitests on 2009/10/21 19:02:52
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256232090.1256232407.8815.gz#err0
WINNT 5.2 mozilla-central test mochitests-5/5 on 2009/10/22 10:21:30  

The failure mode here is confusing to me. The images look the same.
Oh, after opening them in GIMP, the video background is rgb(0,0,0) in the first, and rgb(1,1,1) in the second.
This is failing consistently on WINNT 5.2 mozilla-central test debug mochitests-5/5 on 2009/10/22 15:13:17  
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256249597.1256250760.19613.gz&fulltext=1#err17
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256300911.1256301339.26561.gz
Linux mozilla-central test opt mochitests-5/5 on 2009/10/23 05:28:31  
14532 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_videocontrols_video_direction.html | Rendering of reftest videocontrols_direction-1b.html should not be different to the reference

(In reply to comment #26)
> This is failing consistently on WINNT 5.2 mozilla-central test debug
> mochitests-5/5 on 2009/10/22 15:13:17  
> http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256249597.1256250760.19613.gz&fulltext=1#err17

Hmmm.  I'ts audio_direction that's failing there; I filed that persistent failure as as bug 524006.
(In reply to comment #27)
> Hmmm.  I'ts audio_direction that's failing there; I filed that persistent
> failure as as bug 524006.

And that's also a different failure:  it's a visible UI difference rather than a color component being off by 1.
Linux mozilla-central test debug mochitests-5/5 on 2009/10/23 14:11:31
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256332291.1256333328.11035.gz

ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_videocontrols_video_direction.html | Rendering of reftest videocontrols_direction-1b.html should not be different to the reference
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1256953602.1256954929.9766.gz
Linux mozilla-central test debug mochitests-5/5 on 2009/10/30 18:46:42

test_videocontrols_audio_direction.html | Rendering of reftest videocontrols_direction-2a.html should not be different to the reference
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257130689.1257131948.9915.gz
Linux mozilla-central test debug mochitests-5/5 on 2009/11/01 18:58:09  

14556 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_videocontrols_audio_direction.html | Rendering of reftest videocontrols_direction-2e.html should not be different to the reference
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257135325.1257136475.26304.gz
Linux mozilla-central test debug mochitests-5/5 on 2009/11/01 20:15:25  

14553 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_videocontrols_audio_direction.html | Rendering of reftest videocontrols_direction-2b.html should not be different to the reference
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257136219.1257137480.5160.gz
Linux mozilla-central test debug mochitests-5/5 on 2009/11/01 20:30:19  

14552 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_videocontrols_audio_direction.html | Rendering of reftest videocontrols_direction-2a.html should not be different to the reference
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257221295.1257222411.25379.gz
Linux mozilla-central test debug mochitests-5/5 on 2009/11/02 20:08:15
Reporter

Comment 35

10 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257282761.1257283648.11862.gz
WINNT 5.2 mozilla-central test mochitests-5/5 on 2009/11/03 13:12:41
Reporter

Comment 36

10 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257286452.1257287821.26497.gz
Linux mozilla-central test mochitests-5/5 on 2009/11/03 14:14:12
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257288876.1257290540.24834.gz
WINNT 5.2 mozilla-central test mochitests-5/5 on 2009/11/03 14:54:36
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257291144.1257292836.19262.gz
Linux mozilla-central test debug mochitests-5/5 on 2009/11/03 15:32:24
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257311884.1257312922.14627.gz
Linux mozilla-central test debug mochitests-5/5 on 2009/11/03 21:18:04
OS X 10.5.2 mozilla-central test mochitests-5/5 [testfailed] Started 12:20, finished 12:29
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257362437.1257362926.6679.gz&fulltext=1
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257365835.1257366454.14466.gz
WINNT 5.2 mozilla-central test mochitests-5/5 on 2009/11/04 12:17:15
Reporter

Comment 45

10 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257526704.1257528001.12576.gz
WINNT 5.2 mozilla-central debug test mochitests-5/5 on 2009/11/06 08:58:24
Reporter

Comment 46

10 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257533106.1257534072.17003.gz
WINNT 5.2 mozilla-central debug test mochitests-5/5 on 2009/11/06 10:45:06
Reporter

Comment 47

10 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257539892.1257540982.32420.gz
OS X 10.5.2 mozilla-central debug test mochitests-5/5 on 2009/11/06 12:38:12
Reporter

Comment 48

10 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257539460.1257540776.29879.gz
WINNT 5.2 mozilla-central debug test mochitests-5/5 on 2009/11/06 12:31:00
Reporter

Comment 49

10 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257541442.1257542299.14528.gz
WINNT 5.2 mozilla-central debug test mochitests-5/5 on 2009/11/06 13:04:02
Reporter

Comment 51

10 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257551864.1257553184.6589.gz
Linux mozilla-central debug test mochitests-5/5 on 2009/11/06 15:57:44
Reporter

Comment 52

10 years ago
RE the whiteboard status -- "[debugging aid landed, waiting for further logs]" -- I think we have enough logs now... :)  Updating that to remove the "waiting" part.

Also... These tests are failing frequently enough and causing enough noise that I'm starting to think we should disable them. For example, on the "WINNT 5.2 mozilla-central debug test mochitests-5/5" box -- over the last 16 cycles, 13 have failed one of the tests here.  That means we're hitting this problem over 80% of the time on that box...

Any objections to disabling this, pending investigation?  (Or, dolske / ehsan / doublec: could one of you investigate this more sometime soon, to try to ameliorate this near-perma-orange?)
Whiteboard: [orange][debugging aid landed, waiting for further logs] → [orange][debugging aid landed]
Reporter

Comment 53

10 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257555863.1257557317.2928.gz
WINNT 5.2 mozilla-central test mochitests-5/5 on 2009/11/06 17:04:23
I think it's acceptable to just disable it for now, I don't think this is at significant risk of regressing.
Reporter

Comment 55

10 years ago
Ok -- disabled:  http://hg.mozilla.org/mozilla-central/rev/b6b3d560c5c5

Also, one more log to add here :)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257556807.1257558407.22810.gz
WINNT 5.2 mozilla-central debug test mochitests-5/5 on 2009/11/06 17:20:07
Reporter

Updated

10 years ago
Whiteboard: [orange][debugging aid landed] → [orange][tests disabled on m-c]
(In reply to comment #55)
> Ok -- disabled

Please, do this on m-1.9.2 and m-1.9.1 too.
Assignee

Comment 57

10 years ago
This is most likely fixed by bug 524006.

Please feel free to reopen if you see more failures of the same nature.
Status: ASSIGNED → RESOLVED
Last Resolved: 10 years ago
Depends on: 524006
Flags: in-testsuite+
Resolution: --- → FIXED
Whiteboard: [orange][tests disabled on m-c] → [orange][fixed by bug 524006]
Target Milestone: --- → mozilla1.9.3a1
Assignee

Comment 58

10 years ago
Bug 524006 was landed on 1.9.2.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257884839.1257886518.16592.gz
Linux mozilla-central debug test mochitests-5/5 on 2009/11/10 12:27:19
Assignee

Updated

10 years ago
Assignee

Updated

10 years ago
No longer depends on: 524006
Assignee

Comment 62

10 years ago
Assignee

Comment 63

10 years ago
The two Linux failures seem to be because of the fact that my recent patch eliminated the src attribute from the <audio> elements, and that causes the throbber to be shown.  Now, the suspend event handler of videocontrols.xml <http://mxr.mozilla.org/mozilla-central/source/toolkit/content/widgets/videocontrols.xml#510> calls setupStatusFader which should hide that.  So, I'm thinking that adding a setTimeout to our suspend handler's remotePageLoaded call is the way to go here.  Dolske, what do you think?

As for the first failure, I really don't know what's happening there yet.
It might help to enable debug output on the controls (set "debug" to true at http://mxr.mozilla.org/mozilla-central/source/toolkit/content/widgets/videocontrols.xml#282), to see what it's doing here.
Assignee

Comment 65

10 years ago
Here is the output I got from a local build:

videoctl: Initial playback position is at 0 of 0
videoctl: Duration is 0ms
videoctl: time update @ 0ms of 0ms
videoctl: Delaying status fade-in...
videoctl: Status fader: seeking=false error=null readyState=0 paused=true ended=false networkState=0 timeUpdateCount=0 --> HIDE
videoctl: --- videocontrols initialized ---
videoctl: Delated start timer fired.
videoctl: Fading status in
Assignee

Comment 66

10 years ago
The third failure is like comment 25.  Investigating...
Assignee

Comment 67

10 years ago
This patch addresses the third type of the failure.  What this does is expanding the masked area to include the whole non-controls rectangle.  Simple, but effective.
Attachment #411537 - Flags: review?(dolske)
Assignee

Comment 68

10 years ago
Try the setTimeout solution mentioned in comment 63.
Attachment #411541 - Flags: review?(dolske)
Attachment #411537 - Flags: review?(dolske) → review+
Attachment #411541 - Flags: review?(dolske) → review+
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257902121.1257902975.5014.gz
WINNT 5.2 mozilla-central debug test mochitests-5/5 on 2009/11/10 17:15:21
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257914059.1257915337.13665.gz
WINNT 5.2 mozilla-central debug test mochitests-5/5 on 2009/11/10 20:34:19
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257911253.1257912273.12033.gz
WINNT 5.2 mozilla-central debug test mochitests-5/5 on 2009/11/10 19:47:33
Assignee

Comment 74

10 years ago
Landed both patches combined:

http://hg.mozilla.org/mozilla-central/rev/095b7beae53b
Status: REOPENED → RESOLVED
Last Resolved: 10 years ago10 years ago
Resolution: --- → FIXED
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257989606.1257990729.1884.gz
Linux mozilla-central debug test mochitests-5/5 on 2009/11/11 17:33:26  
s: moz2-linux-slave08
14553 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_videocontrols_audio_direction.html | Rendering of reftest videocontrols_direction-2b.html should not be different to the reference

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257984538.1257985820.11457.gz
WINNT 5.2 mozilla-central debug test mochitests-5/5 on 2009/11/11 16:08:58  
"s: moz2-win32-slave05"
14580 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_videocontrols_audio_direction.html | Rendering of reftest videocontrols_direction-2a.html should not be different to the reference

Sorry.
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
There's also bug 524006, are these just the same bug?
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258016838.1258018019.10090.gz
Linux mozilla-central debug test mochitests-5/5 on 2009/11/12 01:07:18  

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258020186.1258021179.14269.gz
Linux mozilla-central debug test mochitests-5/5 on 2009/11/12 02:03:06  

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258025992.1258027140.16290.gz
WINNT 5.2 mozilla-central debug test mochitests-5/5 on 2009/11/12 03:39:52  

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258027033.1258028183.28954.gz
WINNT 5.2 mozilla-central debug test mochitests-5/5 on 2009/11/12 03:57:13  

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258034597.1258035809.24084.gz
WINNT 5.2 mozilla-central debug test mochitests-5/5 on 2009/11/12 06:03:17
Assignee

Comment 78

10 years ago
The second log is exactly like the failure in bug 524006 comment 22.  The first one shows that the status fader has not finished its job yet.

Looking at videocontrols.xml, the status fader has a 750ms delay period and a 300ms runtime period.  The delay period takes effect only when another fade is not already in progress.  So, I'm thinking that this may happen because of the simple fact that loading the media takes too long, which causes the initial fader to finish its job, so, when the media finishes loading, a delay of 750ms takes effect, which would obviously ruin things for us.

In order to bypass this and any other similar future problems, I'm thinking of masking the <audio> elements the same way I did for <video> element, so whatever happens to the status fader does not affect this test.
Attachment #411983 - Flags: review?(dolske)
Assignee

Comment 79

10 years ago
(In reply to comment #76)
> There's also bug 524006, are these just the same bug?

That bug is actually a subset of this one; there are several types of failures with these tests, which I'm trying to cover one by one.  :(
Status: REOPENED → ASSIGNED
Assignee

Comment 80

10 years ago
(In reply to comment #77)
> http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258016838.1258018019.10090.gz
> Linux mozilla-central debug test mochitests-5/5 on 2009/11/12 01:07:18  

This should be covered by the masking patch.

> http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258020186.1258021179.14269.gz
> Linux mozilla-central debug test mochitests-5/5 on 2009/11/12 02:03:06  

ditto.

> http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258025992.1258027140.16290.gz
> WINNT 5.2 mozilla-central debug test mochitests-5/5 on 2009/11/12 03:39:52  

The first failure in this log should be fixed by the patch in bug 524006, and the second one by the masking patch.

> http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258027033.1258028183.28954.gz
> WINNT 5.2 mozilla-central debug test mochitests-5/5 on 2009/11/12 03:57:13  

The first failure should be handled by bug 524006, and the second one by the masking patch.

> http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258034597.1258035809.24084.gz
> WINNT 5.2 mozilla-central debug test mochitests-5/5 on 2009/11/12 06:03:17

This should be handled by the masking patch as well.



So, it seems like we're down to only two types of failures, phew! :-)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258055869.1258057314.12923.gz
Linux mozilla-central debug test mochitests-5/5 on 2009/11/12 11:57:49
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258067472.1258068823.14083.gz
Linux mozilla-central debug test mochitests-5/5 on 2009/11/12 15:11:12
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258070818.1258072252.20433.gz
Linux mozilla-central debug test mochitests-5/5 on 2009/11/12 16:06:58  
s: moz2-linux-slave05

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258071812.1258073182.30890.gz
Linux mozilla-central debug test mochitests-5/5 on 2009/11/12 16:23:32  
s: moz2-linux-slave42
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258074096.1258076422.2717.gz
WINNT 5.2 mozilla-central debug test mochitests-5/5 on 2009/11/12 17:01:36  
14580 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_videocontrols_audio_direction.html | Rendering of reftest videocontrols_direction-2a.html should not be different to the reference
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258079920.1258081092.23062.gz
Linux mozilla-central debug test mochitests-5/5 on 2009/11/12 18:38:40
s: moz2-linux-slave08
14560 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_videocontrols_audio_direction.html | Rendering of reftest videocontrols_direction-2a.html should not be different to the reference

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258081318.1258082097.2616.gz
WINNT 5.2 mozilla-central debug test mochitests-5/5 on 2009/11/12 19:01:58
"s: moz2-win32-slave40"
14588 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_videocontrols_audio_direction.html | Rendering of reftest videocontrols_direction-2a.html should not be different to the reference
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258090435.1258091425.7389.gz
Linux mozilla-central debug test mochitests-5/5 on 2009/11/12 21:33:55
s: moz2-linux-slave01
14561 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_videocontrols_audio_direction.html | Rendering of reftest videocontrols_direction-2b.html should not be different to the reference
Attachment #411983 - Flags: review?(dolske) → review+
Comment on attachment 411983 [details] [diff] [review]
Patch to mask the audio controls as well
[Checkin: Comment 87 & 89]

Pushed: http://hg.mozilla.org/mozilla-central/rev/1d07eff12995
Assignee

Updated

10 years ago
Duplicate of this bug: 528001
Attachment #411983 - Attachment description: Patch to mask the audio controls as well → Patch to mask the audio controls as well [Checkin: Comment 87 & 89]
Attachment #411537 - Attachment description: Patch to fix the background color difference → Patch to fix the background color difference [Checkin: Comment 74 & 89]
Attachment #411541 - Attachment description: Patch to fix the audio test failures → Patch to fix the audio test failures [Checkin: Comment 74 & 89]
(In reply to comment #89)
> http://hg.mozilla.org/releases/mozilla-1.9.2/rev/acb7705af047

Just to double-check:
{
+        me.setTimeout(function() {
}
m-c did not have the |me.| part. Was this difference expected?
Uh, sorry, the previous comments belong to bug 528001.
Severity: blocker → normal
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258386533.1258387328.19452.gz
WINNT 5.2 mozilla-central opt test mochitests-5/5 on 2009/11/16 07:48:53
Assignee

Comment 96

10 years ago
(In reply to comment #90)
> (In reply to comment #89)
> > http://hg.mozilla.org/releases/mozilla-1.9.2/rev/acb7705af047
> 
> Just to double-check:
> {
> +        me.setTimeout(function() {
> }
> m-c did not have the |me.| part. Was this difference expected?

Thanks for mentioning this.  This is indeed not expected.  I'll land the fix when the tree reopens.
Assignee

Comment 97

10 years ago
I think this can be marked as FIXED now.  The only remaining known issue with this test is bug 528001.
Status: ASSIGNED → RESOLVED
Last Resolved: 10 years ago10 years ago
Resolution: --- → FIXED
(In reply to comment #96)
> I'll land the fix when the tree reopens.

Done in bug 528001 comment 27.
Depends on: 528001
Yet, based on the first comments, these fixes look wanted on m-1.9.1.
status1.9.1: --- → ?
Assignee

Comment 100

10 years ago
Besides comment 0, I can't see any failure reports on 1.9.1.  Is this issue currently present on 1.9.1 tinderboxen?
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey2.0/1260239244.1260245559.11724.gz
OS X 10.5 comm-1.9.1 unit test on 2009/12/07 18:27:24
{
85198 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_videocontrols_audio_direction.html | Rendering of reftest videocontrols_direction-2a.html should not be different to the reference
}

NB: These Parallels MacOSX boxes are known to be +/- unreliable, but if there's a chance these patches can help...
Component: Video/Audio → Video/Audio Controls
Product: Core → Toolkit
QA Contact: video.audio → video.audio
Target Milestone: mozilla1.9.3a1 → ---
Version: Trunk → unspecified
Target Milestone: --- → mozilla1.9.3a1
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.5/1265134085.1265137391.25741.gz
OS X 10.5.2 mozilla-1.9.1 test mochitests on 2010/02/02 10:08:05
s: moz2-darwin9-slave36
85896 ERROR TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_videocontrols_audio_direction.html | Rendering of reftest videocontrols_direction-2a.html should not be different to the reference

Note that the 1.9.1 tinderbox is virtually never starred, everyone just ignores the random orange there, so "nobody pasted logs here" is very very far from meaning "it doesn't happen there."
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey2.0/1267698904.1267701231.14493.gz
WINNT 5.2 comm-1.9.1 test mochitests on 2010/03/04 02:35:04
Version: unspecified → Trunk
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Comment hidden (Legacy TBPL/Treeherder Robot)
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.